## AnacondaLayoutIndicator

AnacondaLayoutIndicator — An indicator of currently activated X layout

## Functions

GtkWidget * | anaconda_layout_indicator_new ()
gchar * | anaconda_layout_indicator_get_current_layout ()
guint | anaconda_layout_indicator_get_label_width ()
void | anaconda_layout_indicator_set_label_width ()
void | anaconda_layout_indicator_retranslate ()

## Properties

guint | label-width | Read / Write
gchar * | layout | Read

## Types and Values

struct | AnacondaLayoutIndicator
struct | AnacondaLayoutIndicatorClass

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkEventBox
                            ╰── AnacondaLayoutIndicator

## Implemented Interfaces

AnacondaLayoutIndicator implements AtkImplementorIface and GtkBuildable.

## Description

An AnacondaLayoutIndicator is a widget that can be used in any place where indication of currently activated X layout should be shown.

An AnacondaLayoutIndicator is a subclass of a GtkEventBox.

## Functions

### anaconda_layout_indicator_new ()

    GtkWidget *
    anaconda_layout_indicator_new ();

Creates a new AnacondaLayoutIndicator, which is an indicator of the currently activated X layout. When the indicator is clicked, it activates the next layout in the list of configured layouts.

#### Returns

A new AnacondaLayoutIndicator.

### anaconda_layout_indicator_get_current_layout ()

    gchar *
    anaconda_layout_indicator_get_current_layout
                                   (AnacondaLayoutIndicator *indicator);

#### Parameters

indicator | a AnacondaLayoutIndicator |

#### Returns

the currently activated X layout.

[transfer full]

Since 1.0

### anaconda_layout_indicator_get_label_width ()

    guint
    anaconda_layout_indicator_get_label_width
                                   (AnacondaLayoutIndicator *indicator);

#### Parameters

indicator | a AnacondaLayoutIndicator |

#### Returns

the current width of the layout label in number of chars.

[transfer none]

Since 1.0

### anaconda_layout_indicator_set_label_width ()

    void
    anaconda_layout_indicator_set_label_width
                                   (AnacondaLayoutIndicator *indicator,
                                    guint new_width);

#### Parameters

indicator | a AnacondaLayoutIndicator |
new_width | a new requested width of the layout label in number of chars |

Since 1.0

### anaconda_layout_indicator_retranslate ()

    void
    anaconda_layout_indicator_retranslate (AnacondaLayoutIndicator *indicator);

Reload translations for this widget as needed. Generally, this is not needed. However when changing the language during installation, we need to be able to make sure the screen gets retranslated. This function must be called after the LANG environment variable, locale and gettext magic are set.

#### Parameters

indicator | a AnacondaLayoutIndicator |

Since 1.0

## Types and Values

### struct AnacondaLayoutIndicator

    struct AnacondaLayoutIndicator;

The AnacondaLayoutIndicator struct contains only private fields and should not be directly accessed.

### struct AnacondaLayoutIndicatorClass

    struct AnacondaLayoutIndicatorClass {
        GtkEventBoxClass parent_class;

        /* this has to be a class attribute, because XklEngine is a singleton that
           should be used by all instances */
        XklEngine *engine;
    };

#### Members

GtkEventBoxClass `parent_class`; | The object class structure needs to be the first element in the widget class structure in order for the class mechanism to work correctly. This allows an AnacondaLayoutIndicatorClass pointer to be cast to a GtkEventBox pointer. |
XklEngine *`engine`; | A singleton XklEngine instance that is used by all instances of LayoutIndicator. |

## Property Details

### The `“label-width”` property

      “label-width”              guint

Width of the label showing the current layout in number of characters.

Flags: Read / Write

Allowed values: <= 20

Default value: 8

Since 1.0

### The `“layout”` property

      “layout”                   gchar *

The :layout is the currently activated X layout.

Flags: Read

Default value: "us"

Since 1.0